commit:     b5be68281e76b21391feb3469b8a05e64fbbb558
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 26 06:50:11 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Jul 26 06:50:18 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5be6828

dev-ruby/gettext_i18n_rails: EAPI 7 -> 8, add ruby30

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../gettext_i18n_rails-1.8.1-r1.ebuild             | 38 ++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/dev-ruby/gettext_i18n_rails/gettext_i18n_rails-1.8.1-r1.ebuild 
b/dev-ruby/gettext_i18n_rails/gettext_i18n_rails-1.8.1-r1.ebuild
new file mode 100644
index 000000000000..ac9b5a278191
--- /dev/null
+++ b/dev-ruby/gettext_i18n_rails/gettext_i18n_rails-1.8.1-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="Readme.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="gettext_i18n_rails.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="FastGettext / Rails integration"
+HOMEPAGE="https://github.com/grosser/gettext_i18n_rails";
+SRC_URI="https://github.com/grosser/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/rails:6.0 dev-ruby/activerecord:6.0[sqlite] 
dev-ruby/temple )"
+ruby_add_rdepend ">=dev-ruby/fast_gettext-0.9.0:*"
+
+all_ruby_prepare() {
+       rm Gemfile Gemfile.lock || die
+
+       sed -i -e 's/git ls-files/find/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+       # Remove specs for slim and hamlet, template engines we don't package.
+       rm spec/gettext_i18n_rails/slim_parser_spec.rb 
spec/gettext_i18n_rails/haml_parser_spec.rb || die
+
+       # Test against Rails 4.2.0
+       sed -e '1igem "rails", "~>6.0.0"' -i spec/spec_helper.rb || die
+}

Reply via email to